import { BigNumberish } from 'ethers';
import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { GetMasterChefDataPropsParams, GetMasterChefTokenBalancesParams, MasterChefTemplateContractPositionFetcher, RewardRateUnit } from '../../../position/template/master-chef.template.contract-position-fetcher';
import { PenguinChef, PenguinContractFactory } from '../contracts';
export declare class AvalanchePenguinChefV1FarmContractPositionFetcher extends MasterChefTemplateContractPositionFetcher<PenguinChef> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: PenguinContractFactory;
    chefAddress: string;
    groupLabel: string;
    rewardRateUnit: RewardRateUnit;
    constructor(appToolkit: IAppToolkit, contractFactory: PenguinContractFactory);
    getContract(address: string): PenguinChef;
    getPoolLength(contract: PenguinChef): Promise<BigNumberish>;
    getStakedTokenAddress(contract: PenguinChef, poolIndex: number): Promise<string>;
    getRewardTokenAddress(contract: PenguinChef): Promise<string>;
    getTotalAllocPoints({ contract }: GetMasterChefDataPropsParams<PenguinChef>): Promise<BigNumberish>;
    getTotalRewardRate({ contract }: GetMasterChefDataPropsParams<PenguinChef>): Promise<BigNumberish>;
    getPoolAllocPoints({ contract, definition }: GetMasterChefDataPropsParams<PenguinChef>): Promise<BigNumberish>;
    getStakedTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<PenguinChef>): Promise<BigNumberish>;
    getRewardTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<PenguinChef>): Promise<BigNumberish>;
}
